classification
Title: AIX buildbot compile errors
Type: compile error Stage: resolved
Components: Build Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: pitrou, skrah, trent
Priority: normal Keywords: buildbot

Created on 2012-09-22 22:16 by skrah, last changed 2012-09-25 19:27 by skrah. This issue is now closed.

Messages (7)
msg171013 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2012-09-22 22:16
According to issue #9799 configuring --without-computed-gotos might
solve the AIX compile error.
msg171040 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2012-09-23 14:08
I tested --without-computed-gotos on the AIX machine and that solves
the problem.


Antoine, I understood that ./configure parameters can only be changed
on the build master. Could you add --without-computed-gotos?
msg171043 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-09-23 15:23
> Antoine, I understood that ./configure parameters can only be changed
> on the build master. Could you add --without-computed-gotos?

Done.
msg171047 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2012-09-23 15:38
Thanks!
msg171061 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2012-09-23 17:08
The compile errors are fixed, let's open separate issues for the
test failures.
msg171300 - (view) Author: Trent Nelson (trent) * (Python committer) Date: 2012-09-25 17:09
Hi Stefan, quick question: how did you invoke ./configure on the AIX box?  The reason for asking is that a7/arsenic is a little quirky, you need to run a zsh subroutine via `_xlc 12` to set up the right CC env (see ~/buildslave/start.zsh).

Once you've done that, you need ./configure --without-gcc --with-pydebug to get the same environment as the build slave.

(I haven't set up a buildslave for gcc on that box.)
msg171311 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2012-09-25 19:27
Hi Trent, nice setup BTW!

Trent Nelson <report@bugs.python.org> wrote:
> Hi Stefan, quick question: how did you invoke ./configure on the AIX box?
> The reason for asking is that a7/arsenic is a little quirky, you need to
> run a zsh subroutine via `_xlc 12` to set up the right CC env (see
> ~/buildslave/start.zsh).

That's good to know. I did the whole thing manually and pasted the ./configure
environment from

   http://buildbot.python.org/all/builders/RS6000%20AIX%207.1%20%5BSB%5D%203.x/builds/85/steps/configure/logs/stdio

to a file "build_env" in the home directory. Perhaps we can put that subroutine
in the file instead.

> (I haven't set up a buildslave for gcc on that box.)

I think that's not so important right now. It's good to have more diversity
w.r.t compilers.

For the commercial compilers it might be good to switch to optimized builds
in order to see if there are either optimizer bugs or Python bugs that don't
show up with gcc.
History
Date User Action Args
2012-09-25 19:27:12skrahsetmessages: + msg171311
2012-09-25 17:09:52trentsetmessages: + msg171300
2012-09-23 17:08:45skrahsetstatus: open -> closed
resolution: fixed
messages: + msg171061

stage: resolved
2012-09-23 15:38:38skrahsetmessages: + msg171047
2012-09-23 15:23:17pitrousetmessages: + msg171043
2012-09-23 14:08:59skrahsetnosy: + pitrou
messages: + msg171040
2012-09-22 22:16:57skrahcreate